package com.supervision.controller;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.io.file.FileReader;
import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONUtil;
import com.supervision.model.ConfigPhysicalTool;
import com.supervision.service.ConfigPhysicalToolService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.File;
import java.util.List;

@RestController
@RequestMapping("test")
@RequiredArgsConstructor
public class TestController {

    private final ConfigPhysicalToolService configPhysicalToolService;

    @GetMapping("testExpireTime")
    public String testExpireTime() {
        return "OK";
    }

    @GetMapping("testQueryJSON")
    public List<ConfigPhysicalTool> testQueryJSON(){
        return configPhysicalToolService.list();
    }


    public static void main(String[] args) {
        File file = FileUtil.newFile("/Users/flevance/Desktop/template.txt");
        List<String> strings = FileReader.create(file).readLines();
        System.out.println(JSONUtil.toJsonStr(strings));

    }
}
